Public Types | Public Member Functions | Private Attributes

# ShPin Class Reference

Stores pin details. More...

`#include <shpin.h>`

Collaboration diagram for ShPin:
[legend]

List of all members.

## Public Types
enum | PinType { ptUnknown = 0, ptBool, ptInt, ptReal, ptString, ptVariant }
## Public Member Functions
| ShPin ()
| Constructor of ShMessage, an initialization of the object.
void | setObjectId (int id)
| Sets the pin id.
void | setSignal (QString signal)
| Sets a name of the signal.
void | setDirection (QString direction)
| Sets the pin direction.
void | setType (QString type)
| Sets the pin type.
int | objectId ()
QString | signal ()
bool | isInput ()
bool | isOutput ()
PinType | type ()
## Private Attributes
int | mObjectId
QString | mSignal
bool | mInput
bool | mOutput
PinType | mType

## Detailed Description

Stores pin details.

Definition at line 30 of file shpin.h.

## Member Enumeration Documentation

enum ShPin::PinType

Enumerator:

  ptUnknown |
  ptBool |
  ptInt |
  ptReal |
  ptString |
  ptVariant |

Definition at line 33 of file shpin.h.

## Constructor & Destructor Documentation

ShPin::ShPin | ( |  | ) |

Constructor of ShMessage, an initialization of the object.

Definition at line 25 of file shpin.cpp.

References mInput, mObjectId, mOutput, mSignal, and mType.

## Member Function Documentation

bool ShPin::isInput | ( |  | ) | `[inline]`

Definition at line 47 of file shpin.h.

References mInput.

Referenced by ShXbee::updatePins(), and ShLogic::updatePins().

Here is the caller graph for this function:

bool ShPin::isOutput | ( |  | ) | `[inline]`

Definition at line 48 of file shpin.h.

References mOutput.

Referenced by ShXbee::updatePins().

Here is the caller graph for this function:

int ShPin::objectId | ( |  | ) | `[inline]`

Definition at line 45 of file shpin.h.

References mObjectId.

Referenced by ShBase::routeMessage().

Here is the caller graph for this function:

void ShPin::setDirection | ( | QString | direction | ) |

Sets the pin direction.

Parameters:

  | direction | Pin direction, "i" denotes input, "o" output and "io" bi-directional pin

Definition at line 58 of file shpin.cpp.

References mInput, and mOutput.

Referenced by ShBase::queryPin(), and ShBase::queryPins().

Here is the caller graph for this function:

void ShPin::setObjectId | ( | int | id | ) |

Sets the pin id.

Parameters:

  | id | Pin id

Definition at line 38 of file shpin.cpp.

References mObjectId.

Referenced by ShBase::queryPin(), and ShBase::queryPins().

Here is the caller graph for this function:

void ShPin::setSignal | ( | QString | signal | ) |

Sets a name of the signal.

Parameters:

  | signal | Name of the signal

Definition at line 48 of file shpin.cpp.

References mSignal.

Referenced by ShBase::queryPin(), and ShBase::queryPins().

Here is the caller graph for this function:

void ShPin::setType | ( | QString | type | ) |

Sets the pin type.

Parameters:

  | type | Pin type

Definition at line 69 of file shpin.cpp.

References mType.

Referenced by ShBase::queryPin(), and ShBase::queryPins().

Here is the caller graph for this function:

QString ShPin::signal | ( |  | ) | `[inline]`

Definition at line 46 of file shpin.h.

References mSignal.

Referenced by ShBase::routeMessage(), ShXbee::updatePins(), and ShLogic::updatePins().

Here is the caller graph for this function:

PinType ShPin::type | ( |  | ) | `[inline]`

Definition at line 49 of file shpin.h.

References mType.

## Member Data Documentation

bool ShPin::mInput`[private]`

Definition at line 54 of file shpin.h.

Referenced by isInput(), setDirection(), and ShPin().

int ShPin::mObjectId`[private]`

Definition at line 52 of file shpin.h.

Referenced by objectId(), setObjectId(), and ShPin().

bool ShPin::mOutput`[private]`

Definition at line 54 of file shpin.h.

Referenced by isOutput(), setDirection(), and ShPin().

QString ShPin::mSignal`[private]`

Definition at line 53 of file shpin.h.

Referenced by setSignal(), ShPin(), and signal().

PinType ShPin::mType`[private]`

Definition at line 55 of file shpin.h.

Referenced by setType(), ShPin(), and type().

The documentation for this class was generated from the following files:

- daemon/shpin.h
- daemon/shpin.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends